# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: subscriptions.proto

import sys
_b=sys.version_info[0]<3 and (lambda x:x) or (lambda x:x.encode('latin1'))
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


import pymascot.enums_pb2 as enums__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='subscriptions.proto',
  package='mascot',
  syntax='proto3',
  serialized_options=None,
  serialized_pb=_b('\n\x13subscriptions.proto\x12\x06mascot\x1a\x0b\x65nums.proto\"i\n\x10SubscribeMessage\x12\x12\n\ndeviceName\x18\x01 \x01(\t\x12\x15\n\rattributeName\x18\x02 \x01(\t\x12*\n\x06\x66lavor\x18\x03 \x01(\x0e\x32\x1a.mascot.SubscriptionFlavor\"v\n\x0eSubscribeReply\x12\x0f\n\x07success\x18\x01 \x01(\x08\x12+\n\x05\x65rror\x18\x02 \x01(\x0b\x32\x1c.mascot.SubscribeReply.Error\x1a&\n\x05\x45rror\x12\x0c\n\x04\x63ode\x18\x01 \x01(\x03\x12\x0f\n\x07message\x18\x02 \x01(\t\"?\n\x12UnsubscribeMessage\x12\x12\n\ndeviceName\x18\x01 \x01(\t\x12\x15\n\rattributeName\x18\x02 \x01(\t\"z\n\x10UnsubscribeReply\x12\x0f\n\x07success\x18\x01 \x01(\x08\x12-\n\x05\x65rror\x18\x02 \x01(\x0b\x32\x1e.mascot.UnsubscribeReply.Error\x1a&\n\x05\x45rror\x12\x0c\n\x04\x63ode\x18\x01 \x01(\x03\x12\x0f\n\x07message\x18\x02 \x01(\tb\x06proto3')
  ,
  dependencies=[enums__pb2.DESCRIPTOR,])




_SUBSCRIBEMESSAGE = _descriptor.Descriptor(
  name='SubscribeMessage',
  full_name='mascot.SubscribeMessage',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='deviceName', full_name='mascot.SubscribeMessage.deviceName', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='attributeName', full_name='mascot.SubscribeMessage.attributeName', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='flavor', full_name='mascot.SubscribeMessage.flavor', index=2,
      number=3, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=44,
  serialized_end=149,
)


_SUBSCRIBEREPLY_ERROR = _descriptor.Descriptor(
  name='Error',
  full_name='mascot.SubscribeReply.Error',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='code', full_name='mascot.SubscribeReply.Error.code', index=0,
      number=1, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='message', full_name='mascot.SubscribeReply.Error.message', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=231,
  serialized_end=269,
)

_SUBSCRIBEREPLY = _descriptor.Descriptor(
  name='SubscribeReply',
  full_name='mascot.SubscribeReply',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='success', full_name='mascot.SubscribeReply.success', index=0,
      number=1, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='error', full_name='mascot.SubscribeReply.error', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[_SUBSCRIBEREPLY_ERROR, ],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=151,
  serialized_end=269,
)


_UNSUBSCRIBEMESSAGE = _descriptor.Descriptor(
  name='UnsubscribeMessage',
  full_name='mascot.UnsubscribeMessage',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='deviceName', full_name='mascot.UnsubscribeMessage.deviceName', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='attributeName', full_name='mascot.UnsubscribeMessage.attributeName', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=271,
  serialized_end=334,
)


_UNSUBSCRIBEREPLY_ERROR = _descriptor.Descriptor(
  name='Error',
  full_name='mascot.UnsubscribeReply.Error',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='code', full_name='mascot.UnsubscribeReply.Error.code', index=0,
      number=1, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='message', full_name='mascot.UnsubscribeReply.Error.message', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=231,
  serialized_end=269,
)

_UNSUBSCRIBEREPLY = _descriptor.Descriptor(
  name='UnsubscribeReply',
  full_name='mascot.UnsubscribeReply',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='success', full_name='mascot.UnsubscribeReply.success', index=0,
      number=1, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='error', full_name='mascot.UnsubscribeReply.error', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[_UNSUBSCRIBEREPLY_ERROR, ],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=336,
  serialized_end=458,
)

_SUBSCRIBEMESSAGE.fields_by_name['flavor'].enum_type = enums__pb2._SUBSCRIPTIONFLAVOR
_SUBSCRIBEREPLY_ERROR.containing_type = _SUBSCRIBEREPLY
_SUBSCRIBEREPLY.fields_by_name['error'].message_type = _SUBSCRIBEREPLY_ERROR
_UNSUBSCRIBEREPLY_ERROR.containing_type = _UNSUBSCRIBEREPLY
_UNSUBSCRIBEREPLY.fields_by_name['error'].message_type = _UNSUBSCRIBEREPLY_ERROR
DESCRIPTOR.message_types_by_name['SubscribeMessage'] = _SUBSCRIBEMESSAGE
DESCRIPTOR.message_types_by_name['SubscribeReply'] = _SUBSCRIBEREPLY
DESCRIPTOR.message_types_by_name['UnsubscribeMessage'] = _UNSUBSCRIBEMESSAGE
DESCRIPTOR.message_types_by_name['UnsubscribeReply'] = _UNSUBSCRIBEREPLY
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

SubscribeMessage = _reflection.GeneratedProtocolMessageType('SubscribeMessage', (_message.Message,), dict(
  DESCRIPTOR = _SUBSCRIBEMESSAGE,
  __module__ = 'subscriptions_pb2'
  # @@protoc_insertion_point(class_scope:mascot.SubscribeMessage)
  ))
_sym_db.RegisterMessage(SubscribeMessage)

SubscribeReply = _reflection.GeneratedProtocolMessageType('SubscribeReply', (_message.Message,), dict(

  Error = _reflection.GeneratedProtocolMessageType('Error', (_message.Message,), dict(
    DESCRIPTOR = _SUBSCRIBEREPLY_ERROR,
    __module__ = 'subscriptions_pb2'
    # @@protoc_insertion_point(class_scope:mascot.SubscribeReply.Error)
    ))
  ,
  DESCRIPTOR = _SUBSCRIBEREPLY,
  __module__ = 'subscriptions_pb2'
  # @@protoc_insertion_point(class_scope:mascot.SubscribeReply)
  ))
_sym_db.RegisterMessage(SubscribeReply)
_sym_db.RegisterMessage(SubscribeReply.Error)

UnsubscribeMessage = _reflection.GeneratedProtocolMessageType('UnsubscribeMessage', (_message.Message,), dict(
  DESCRIPTOR = _UNSUBSCRIBEMESSAGE,
  __module__ = 'subscriptions_pb2'
  # @@protoc_insertion_point(class_scope:mascot.UnsubscribeMessage)
  ))
_sym_db.RegisterMessage(UnsubscribeMessage)

UnsubscribeReply = _reflection.GeneratedProtocolMessageType('UnsubscribeReply', (_message.Message,), dict(

  Error = _reflection.GeneratedProtocolMessageType('Error', (_message.Message,), dict(
    DESCRIPTOR = _UNSUBSCRIBEREPLY_ERROR,
    __module__ = 'subscriptions_pb2'
    # @@protoc_insertion_point(class_scope:mascot.UnsubscribeReply.Error)
    ))
  ,
  DESCRIPTOR = _UNSUBSCRIBEREPLY,
  __module__ = 'subscriptions_pb2'
  # @@protoc_insertion_point(class_scope:mascot.UnsubscribeReply)
  ))
_sym_db.RegisterMessage(UnsubscribeReply)
_sym_db.RegisterMessage(UnsubscribeReply.Error)


# @@protoc_insertion_point(module_scope)
